Get Total Asset History Notional Value¶
Fetch the historical total value of all assets, calculated using their market prices at each point in time
If b_id is not provided, the API will check whether the user has View Only - Company permissions. Users with access only to specific business lines will not receive any data unless they also hold View Only - Company rights.
To grant this permission, an administrator can navigate to User Configuration and enable the View Only - Company checkbox.
Endpoint¶
Parameters¶
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Optional | String | Business line ID (Query all asset by default) |
Response¶
Response Body¶
data (object)
| Field | Type | Description |
|---|---|---|
| history_asset_result | Object[] | List of total asset history (see history_asset_result object details below) |
history_asset_result (object)
| Field | Type | Description |
|---|---|---|
| create_time | String | Time created, return in YYYY-MM-DD |
| market_value | String | Total market value (USD) |
| market_value_cny | String | Total market value (CNY) |